Name:          libnettle7
Version:       3.5.1
Release:       3mamba
Summary:       A cryptographic library that is designed to fit easily in more or less any context
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.lysator.liu.se/~nisse/nettle/
Source:        http://www.lysator.liu.se/~nisse/archive/nettle-%{version}.tar.gz
License:       LGPL, GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgmp-devel
BuildRequires: pkg-config
## AUTOBUILDREQ-END
Requires(post): %{__install_info}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Nettle is a cryptographic library that is designed to fit easily in more or less any context: In crypto toolkits for object-oriented languages (C++, Python, Pike, ...), in applications like LSH or GNUPG, or even in kernel space.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
Nettle is a cryptographic library that is designed to fit easily in more or less any context: In crypto toolkits for object-oriented languages (C++, Python, Pike, ...), in applications like LSH or GNUPG, or even in kernel space.

This package contains static libraries and header files need for development.

%package tools
Group:         Applications/Security
Summary:       Utility applications for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
This package contains utility applications for %{name}.

%debug_package

%prep
%setup -q -n nettle-%{version}

%build
%configure --enable-shared
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

chmod +x %{buildroot}%{_libdir}/lib*.so.*

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post devel
%install_info nettle.info
exit 0

%preun devel
%uninstall_info nettle.info
exit 0

%files
%defattr(-,root,root)
%{_libdir}/libhogweed.so.*
%{_libdir}/libnettle.so.*
%doc AUTHORS COPYINGv2 COPYINGv3 COPYING.LESSERv3

%files devel
%defattr(-,root,root)
%dir %{_includedir}/nettle
%{_includedir}/nettle/*
%{_libdir}/libhogweed.a
%{_libdir}/libnettle.a
%{_libdir}/libhogweed.so
%{_libdir}/libnettle.so
%{_infodir}/nettle.info.*
%{_libdir}/pkgconfig/hogweed.pc
%{_libdir}/pkgconfig/nettle.pc
%doc ChangeLog NEWS README

%files tools
%defattr(-,root,root)
%{_bindir}/nettle-hash
%{_bindir}/nettle-lfib-stream
%{_bindir}/nettle-pbkdf2
%{_bindir}/pkcs1-conv
%{_bindir}/sexp-conv

%changelog
* Tue May 12 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 3.5.1-3mamba
- legacy package

* Tue Jul 23 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 3.5.1-2mamba
- fix installed library permissions so that also auto provides are fixed

* Sun Jul 21 2019 Automatic Build System <autodist@mambasoft.it> 3.5.1-1mamba
- automatic version update by autodist

* Tue Dec 11 2018 Automatic Build System <autodist@mambasoft.it> 3.4.1-1mamba
- automatic version update by autodist

* Sun Feb 04 2018 Automatic Build System <autodist@mambasoft.it> 3.4-1mamba
- automatic version update by autodist

* Wed Oct 05 2016 Automatic Build System <autodist@mambasoft.it> 3.3-1mamba
- automatic version update by autodist

* Mon Feb 01 2016 Automatic Build System <autodist@mambasoft.it> 3.2-1mamba
- automatic version update by autodist

* Wed May 06 2015 Automatic Build System <autodist@mambasoft.it> 3.1.1-1mamba
- automatic update by autodist

* Wed Jul 02 2014 Automatic Build System <autodist@mambasoft.it> 3.0-1mamba
- automatic update by autodist

* Thu May 30 2013 Automatic Build System <autodist@mambasoft.it> 2.7.1-1mamba
- automatic version update by autodist

* Fri Apr 26 2013 Automatic Build System <autodist@mambasoft.it> 2.7-1mamba
- automatic version update by autodist

* Sun Jan 20 2013 Automatic Build System <autodist@mambasoft.it> 2.6-1mamba
- automatic version update by autodist

* Thu Jul 19 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.5-1mamba
- update to 2.5

* Sun Jul 24 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2-1mamba
- package created by autospec
